%global srcname flake8-docstrings

Name:           python-%{srcname}
Version:        1.6.0
Release:    1%{?dist}
Summary:        A plugin to flake8 to include checks provided by pep257

License:        MIT
URL:            https://gitlab.com/pycqa/%{srcname}
Source0:        https://gitlab.com/pycqa/%{srcname}/-/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
A simple module that adds an extension for the fantastic pydocstyle tool to
flake8.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%if %{undefined python_disable_dependency_generator}
Requires:       python%{python3_pkgversion}-flake8 >= 3
Requires:       python%{python3_pkgversion}-pydocstyle >= 2.1
%endif


%description -n python%{python3_pkgversion}-%{srcname}
A simple module that adds an extension for the fantastic pydocstyle tool to
flake8.


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc HISTORY.rst README.rst
%{python3_sitelib}/flake8_docstrings.py
%{python3_sitelib}/__pycache__/flake8_docstrings.cpython-*.pyc
%{python3_sitelib}/flake8_docstrings-%{version}-py%{python3_version}.egg-info/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-1
- initial build
